file = 'BF5.wav';
[x_t,fs] = wavread(file);

%---------------------------------Highpass Filter--------------------%
%Fst=100;%stop band frequency
%Fp=260;%pass band frequency
%Ast=20;%attenuation in the stop band in decibels (the default units). Also called Astop.
%Ap=2;%amount of ripple allowed in the pass band in decibels (the default units). Also called Apass.
%D=fdesign.highpass('Fst,Fp,Ast,Ap',Fst,Fp,Ast,Ap,fs);
%Hd=design(D,'equiripple');
%fvtool(Hd);
%x_t = filter(Hd,x_t);
%--------------------------------END Highpass Filter--------------------%

nfft = 1024;
Order = 10;

[Pxx,f]=pmcov(x_t,Order,nfft,fs);
[pks,locs]=findpeaks(Pxx);

figure(1);
subplot(211);
plot(x_t);
figure(1);
subplot(212);
pmcov(x_t,Order,nfft,fs);

%---------------------------------Return Velocity------------------------%
[Pmax,Ind]=max(Pxx);
%Fd=f(Ind)
Fd=f(locs(1))
V=Fd/(2*cos(deg2rad(45))*80);
%convert from m/s to Km/h
V=V*3.6
%------------------------------END Return Velocity------------------------%