%reference to the figure on the paper about RCS, simulate a function about
%the RSC.
function Sigma0 = findS0(beta)

%incidence angle (degree)
x = 0:5:80; 

%Backscattering coefficient Sigma_0 in dB
y = [4.5 -1 -2.5 -9 -13.5 -15 -16.5 -17 -17.5 -16.5 -17.5 -20.5 -19 -23 -26 -25 -29];

%find the factors of the polynominal
p = polyfit(x,y,3);

%find the y value at x
z = polyval(p,beta);

%find the simulation funtion of the curve
%Y_x = p(1)*x.^3 + p(2)*x.^2+p(3)*x+p(4);

%convert Sigma0 from dB to value (10log(Sigma_0) = z)
Sigma0 = 10.^(0.1*z);

%figure(1);
%plot(x,Sigma_0);
%plot(x,y,'r*',x,z,'b');
